{% extends 'blog/base.html' %}

{% block content %}
    <div>count of posts: {{ posts.count }}</div>
    <div class="post_list">
        <div class="post_list-2">
            {% for post in posts %}
                <div class="post">
                    <a href="{% url 'post_detail' post_pk=post.pk %}">
                        <div class="post_header">
                            {{ post.title }}
                        </div>
                    </a>
                    <div class="post_info">
                        <a href="{% url 'user_detail' user_pk=post.author.pk %}"> {{ post.author }}</a>
                        {{ post.publish_date }}
                        <br>{{ post.category }}
                    </div>
                    <div class="post_body">
                        <div class="post_short_text">{{ post.short_text }}</div>
                    </div>
                    <div class="post_footer">
                        <div style="">comments = {{ post.comment_count }}</div>
                        <div style="">views = {{ post.quantity_views }}</div>
                        <div style="">Rating = {{ post.post_rating }}</div>
                        <div>
                            Tags -
                            {% for tag in post.tags.all %}
                                <a href="">{{ tag }}</a>
                            {% endfor %}
                        </div>
                    </div>
                </div>
            {% endfor %}
        </div>
    </div>
{% endblock %}